/* NSMutableArrayExtensions.m created by luke on Thu 22-May-1997 */

#import "NSMutableArrayExtensions.h"

@implementation NSMutableArray (OmniSortingExtensions)

// Returns YES if sorting actually occurs.
- (BOOL)sortIfUnsorted
{
    NSMutableArray *tempArray;

    tempArray = [[NSMutableArray alloc] initWithArray:self];
    [tempArray sortUsingSelector:@selector(caseInsensitiveCompare:)];

    if ([tempArray isEqualToArray:self] == NO) {
        [tempArray release];

        // Had to resort the current array, rather than setting it to the sorted, temp array,
        // since ProjectBulider wants to use its own NSMutableNotifyingArray's.

        [self sortUsingSelector:@selector(caseInsensitiveCompare:)];
        return YES;
    }
    else {
        [tempArray release];
        return NO;
    }
}

@end
